CUTLASS: cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ > Struct Template Reference

Describes the arrangement and configuration of per-lane operations in warp-level matrix multiply.

`#include <mma_simt_policy.h>`

## Public Types
using | WarpShape = WarpShape_
using | LaneLayout = LaneLayout_
using | LaneMmaShape = LaneMmaShape_
using | MmaShape = LaneMmaShape

## Static Public Member Functions
static CUTLASS_HOST_DEVICE LaneLayout | get_lane_layout ()
| Returns a layout functor mapping lane position in the warp to thread ID. More...

## Member Typedef Documentation

template<typename WarpShape_ , typename LaneLayout_ , typename LaneMmaShape_ >

using cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ >::LaneLayout = LaneLayout_

template<typename WarpShape_ , typename LaneLayout_ , typename LaneMmaShape_ >

using cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ >::LaneMmaShape = LaneMmaShape_

template<typename WarpShape_ , typename LaneLayout_ , typename LaneMmaShape_ >

using cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ >::MmaShape = LaneMmaShape

template<typename WarpShape_ , typename LaneLayout_ , typename LaneMmaShape_ >

using cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ >::WarpShape = WarpShape_

## Member Function Documentation

template<typename WarpShape_ , typename LaneLayout_ , typename LaneMmaShape_ >

static CUTLASS_HOST_DEVICE LaneLayout cutlass::gemm::warp::MmaSimtPolicy< WarpShape_, LaneLayout_, LaneMmaShape_ >::get_lane_layout | ( |  | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- mma_simt_policy.h